<?php
	/**
	 * Plugin Name: Download Beautifier
	 * Plugin URI: http://binslashbash.org
	 * Description: Beautify Your Downloads Today! PHP 5 Version
	 * Author: J. Newing
	 * Version: 3.0
	 * Author URI: http://binslashbash.org
	 *
	 * Notes: WOW!
	 *  
	 * Copyright (C) 2006 Joseph Newing [Binslashbash.org]
	 * This program is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU General Public License
	 * as published by the Free Software Foundation; either version 2
	 * of the License, or (at your option) any later version.
	 * 
	 * This program is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 * GNU General Public License for more details.
	 * 
	 * You should have received a copy of the GNU General Public License
	 * along with this program; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
	 */
	
	/**
	 * Required Files
	 */
	require_once('dBeautifier_Admin.php');
	require_once('dBeautifier_Filter.php');
	
	
	/**
	 * Initalize the class
	 */
	$dB = &new dBeautifier_Filter();
	$dBAdmin = &new dBeautifier_Admin();
	
	/**
	 * Hooks
	 */
	add_action('wp_head', array(&$dB, 'dB_CSS'));
	add_action('admin_menu', array(&$dBAdmin, 'dB_InitPages'));
	add_action('activate_dBeautifier/dBeautifier.php', array(&$dBAdmin, 'dB_Installation'));
	
	/**
	 * Filter
	 */
	add_filter('the_content', array(&$dB, 'dB_Filter'));
	
?>